|
|||||||||
| Home >> All >> [ dispatch overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
dispatch
Class ForwardWithQueryServlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
dispatch.ForwardWithQueryServlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class ForwardWithQueryServlet
- extends javax.servlet.http.HttpServlet
| Field Summary | |
private static java.lang.String |
ContentType
|
private javax.servlet.ServletContext |
context
|
private static java.lang.String |
TargetServlet
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
ForwardWithQueryServlet()
|
|
| Method Summary | |
void |
doGet(javax.servlet.http.HttpServletRequest req,
javax.servlet.http.HttpServletResponse res)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
init()
A convenience method which can be overridden so that there's no need to call super.init(config). |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
context
private javax.servlet.ServletContext context
ContentType
private static final java.lang.String ContentType
- See Also:
- Constant Field Values
TargetServlet
private static final java.lang.String TargetServlet
- See Also:
- Constant Field Values
| Constructor Detail |
ForwardWithQueryServlet
public ForwardWithQueryServlet()
| Method Detail |
init
public void init()
- Description copied from class:
javax.servlet.GenericServlet - A convenience method which can be overridden so that there's no need
to call
super.init(config).Instead of overriding GenericServlet.init(ServletConfig)>
GenericServlet.init(ServletConfig)55 , simply override this method and it will be called byGenericServlet.init(ServletConfig config). TheServletConfigobject can still be retrieved via GenericServlet.getServletConfig()>GenericServlet.getServletConfig()55 .
doGet
public void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
|
|||||||||
| Home >> All >> [ dispatch overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC